using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;

namespace Models
{
    using System.ComponentModel;
    using System.ComponentModel.DataAnnotations;

    using System.Runtime.Serialization;

    
    public class PostComment
    {
        [ScaffoldColumn(false)]
        public int postCommentId
        {
            get;
            set;
        }

        //[UIHint("cSourceTypes"), Required] //[DataType(DataType.DateTime)]
        [Required]
        [DisplayName("LastCommentDate")]
        [DataType(DataType.DateTime)]        
        public DateTime lastCommentDate
        {
            get;
            set;
        }


        [Required]
        [DisplayName("simpleDate")]
        [DataType(DataType.Date)]
        public DateTime simpleDate
        {
            get;
            set;
        }

        
        //[DisplayName("Время последнего комментария")]
        //[DataType(DataType.Time)]
        //public DateTime? lastCommentTime
        //{
        //    get;
        //    set;
        //}

        
        [Required]
        [DisplayName("Comments for Day")]
        [DataType("Integer")]
        public int commentsForDay
        {
            get;
            set;
        }


        
    }
}